View Issue Details

IDProjectCategoryView StatusLast Update
0032663Open CASCADEOCCT:Codingpublic2022-10-19 15:56
Reporterkgv Assigned Tovpozdyayev  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032663: Coding - remove AIS_SequenceOfInteractive
DescriptionAIS_SequenceOfInteractive is not used within OCCT (used by a couple of samples) and has no benefits over AIS_ListOfInteractive.
It is proposed removing this alias - users may defined NCollection_Sequence<Handle(AIS_InteractiveObject)> directly, if needed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0032662 verifiedvpozdyayev Community Coding - Missing header file in AIS_DataMapOfSelStat.hxx 

Activities

git

2021-12-06 14:59

administrator   ~0105699

Branch CR32663 has been created by kgv.

SHA-1: 55bc70d5a641aeef9ea36575e2ce6c196b160732


Detailed log of new commits:

Author: kgv
Date: Mon Dec 6 14:59:47 2021 +0300

    0032663: Coding - remove AIS_SequenceOfInteractive

kgv

2021-12-06 16:55

developer   ~0105704

Please raise the patch
- OCCT: branch CR32663;
- OCC Products: branch CR32663.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32663-CR32663-KGV/

smoskvin

2021-12-11 11:34

administrator   ~0105803

Combination -
OCCT branch : IR-2021-12-10
master SHA - e463b2f685d8c815f8a7ab996c6843808e8b1430
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-10 SHA - 6377a4e004f3c988c651adf5eca35203f239b1c2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18222.380000000427 / 18166.60000000042 [+0.31%]
Products
Total CPU difference: 11645.100000000084 / 11658.820000000103 [-0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 19999.4375 / 19937.953125 [+0.31%]
Products
Total CPU difference: 13044.453125 / 13069.28125 [-0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-11 15:26

administrator   ~0105817

Branch CR32663 has been deleted by mnt.

SHA-1: 55bc70d5a641aeef9ea36575e2ce6c196b160732

Related Changesets

occt: master 90da038e

2021-12-06 11:59:47

kgv


Committer: smoskvin Details Diff
0032663: Coding - remove AIS_SequenceOfInteractive Affected Issues
0032663
rm - src/AIS/AIS_SequenceOfInteractive.hxx Diff File
mod - src/AIS/FILES Diff File

occt-products: master 81d334a4

2021-12-06 15:00:21

kgv

Details Diff
0032663: Coding - remove AIS_SequenceOfInteractive Affected Issues
0032663
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - diff Diff File
mod - samples/mfc/ColDet/inc/SampleCollisionDetectionDoc.h Diff File
mod - samples/mfc/modeler/inc/StdAfx.h Diff File
mod - samples/mfc/OMF/inc/StdAfx.h Diff File
mod - samples/mfc/shapehealer/inc/StdAfx.h Diff File
mod - samples/mfc/xde/inc/StdAfx.h Diff File
mod - samples/mfc/xde/src/XDESampleDoc.cpp Diff File
mod - training/exercises/OCAF/mfc/StdAfx.h Diff File
mod - training/exercises/Visualization_Solution/mfc/StdAfx.h Diff File

Issue History

Date Modified Username Field Change
2021-11-15 09:57 kgv New Issue
2021-11-15 09:57 kgv Assigned To => kgv
2021-11-15 09:57 kgv Relationship added related to 0032662
2021-12-06 14:59 git Note Added: 0105699
2021-12-06 16:55 kgv Test case number => N/A
2021-12-06 16:55 kgv Note Added: 0105704
2021-12-06 16:55 kgv Assigned To kgv => bugmaster
2021-12-06 16:55 kgv Status new => resolved
2021-12-06 16:56 kgv Status resolved => reviewed
2021-12-11 11:34 smoskvin Note Added: 0105803
2021-12-11 11:34 smoskvin Status reviewed => tested
2021-12-11 15:14 smoskvin Changeset attached => occt master 90da038e
2021-12-11 15:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-11 15:14 smoskvin Status tested => verified
2021-12-11 15:14 smoskvin Resolution open => fixed
2021-12-11 15:26 git Note Added: 0105817
2021-12-17 18:41 kgv Changeset attached => occt-products master 81d334a4
2021-12-17 18:41 kgv Assigned To smoskvin => kgv
2022-10-19 15:56 smoskvin Assigned To kgv => vpozdyayev